Debian Bug report logs - #697311
ITP: libandroid-json-org-java -- cleanroom reimplementation of crockfords evil json.org java library

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Thomas Koch <thomas@koch.ro>

Date: Thu, 3 Jan 2013 20:30:01 UTC

Owned by: Thomas Koch <thomas@koch.ro>

Severity: wishlist

Fixed in version libandroid-json-org-java/20121204-20090211-1

Done: Thomas Koch <thomas@koch.ro>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, thomas@koch.ro, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#697311; Package wnpp. (Thu, 03 Jan 2013 20:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Koch <thomas@koch.ro>:
New Bug report received and forwarded. Copy sent to thomas@koch.ro, debian-devel@lists.debian.org, wnpp@debian.org. (Thu, 03 Jan 2013 20:30:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Thomas Koch <thomas@koch.ro>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: libandroid-json-org-java -- cleanroom reimplementation of crockfords evil json.org java library
Date: Thu, 03 Jan 2013 21:26:42 +0100
Package: wnpp
Severity: wishlist
Owner: Thomas Koch <thomas@koch.ro>
Control: block 697193 by 622928

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

* Package name    : libandroid-json-org-java
  Version         : 20090211 (to mimick the last json.org version)
  Upstream Author : The Android Open Source Project
* URL             : https://android.googlesource.com/platform/libcore/+/master/json
* License         : Apache 2.0
  Programming Lang: Java
  Description     : cleanroom reimplementation of crockfords evil json.org java library

Json.org is a popular java library to parse and create json string from the
author of the json standard Douglas Crockford. His implementation however is
not free software[1].

[1] http://wiki.debian.org/qa.debian.org/jsonevil

Therefor the Android team did a cleanroom reimplementation of a json library
to be used inplace of the original one.

- ---

I did a git subtree split of the android libcore git repo which contains only
the json code: https://github.com/thkoch2001/android-json-org

Thomas Koch

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQ5el+AAoJEAf8SJEEK6Za7ggP/is5XBgDCmh1gQREMICZjixi
NcBKxb3Ua4URtkLHcjk6ufH3dWx03quWmDR4nOEVohxbTp469PGcSuLA//jVB1w0
TpPsxnjERLMRr+/+Fsi+SQ9ekeR1EzTErXeIqCeYaejHK5LKLZy4h5/CMxx4wKQk
dnyWXbzwQfQ9WiMauHMMITDR7ppKLo6uHOIvKK634TBmRboU626VCVmbYHvzRY3L
jLFYFZFBhtGMetLWnpU+c7yMX9tQl5Omr4Q3SCruSRghaOituXsOUMnQfsox9lD+
D8gykaf2eBSdGiknYY0IDw2V3izcshRnphvvlbaceQdNxN/9Y/85rIqzoSyexit0
zWfedVhGPfquR90+RNH36eDNoYFWzh1VE0wxiR+4b4B+CqZDQj7sUsO4gW7zJxun
NTTRNopYbai3N6TgwlVBoSP2PHf0kJpvX9NkezAFKwCMZpFbvIKmbrO0+J4x+c6l
mXcpns3KByXn/pBaBkHEy1T8pOx3DgInm7o8O7PNugiOCwl3P9KoTLalrXxYb48o
0KP3lF5+6MGzdRK5yYxKJi6YANzDKv1vxROUmR3eFEyQHNq1c+JUXSiNmI4eWaQ7
Ab25OnRK6b8Q9vpKPbI759+esAXfQNOfU2KuENwd9A9YabzKwEf6yzgp2nS4Oq/d
umZNdyFI7qkPuZjiRacn
=iJSN
-----END PGP SIGNATURE-----



Added indication that bug 697311 blocks 622928,555683 Request was from Thomas Koch <thomas@koch.ro> to control@bugs.debian.org. (Fri, 04 Jan 2013 19:42:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Thomas Koch <thomas@koch.ro>:
Bug#697311; Package wnpp. (Sun, 06 Jan 2013 15:18:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to thomas@koch.ro:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Thomas Koch <thomas@koch.ro>. (Sun, 06 Jan 2013 15:18:07 GMT) Full text and rfc822 format available.

Message #12 received at 697311@bugs.debian.org (full text, mbox):

From: Thomas Koch <thomas@koch.ro>
To: 697311@bugs.debian.org
Subject: packaging in git repo
Date: Sun, 6 Jan 2013 16:14:24 +0100
I've not yet reviewed all the code and not polished the packaging:
http://anonscm.debian.org/gitweb/?p=pkg-java/libandroid-json-org-java.git

Thomas Koch, http://www.koch.ro



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 28 Jan 2013 07:06:03 GMT) Full text and rfc822 format available.

Reply sent to Thomas Koch <thomas@koch.ro>:
You have taken responsibility. (Sat, 06 Apr 2013 12:03:32 GMT) Full text and rfc822 format available.

Notification sent to Thomas Koch <thomas@koch.ro>:
Bug acknowledged by developer. (Sat, 06 Apr 2013 12:03:32 GMT) Full text and rfc822 format available.

Message #19 received at 697311-close@bugs.debian.org (full text, mbox):

From: Thomas Koch <thomas@koch.ro>
To: 697311-close@bugs.debian.org
Subject: Bug#697311: fixed in libandroid-json-org-java 20121204-20090211-1
Date: Sat, 06 Apr 2013 12:00:05 +0000
Source: libandroid-json-org-java
Source-Version: 20121204-20090211-1

We believe that the bug you reported is fixed in the latest version of
libandroid-json-org-java, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 697311@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Thomas Koch <thomas@koch.ro> (supplier of updated libandroid-json-org-java package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 05 Jan 2013 14:20:18 +0100
Source: libandroid-json-org-java
Binary: libandroid-json-org-java libandroid-json-org-java-doc
Architecture: source all
Version: 20121204-20090211-1
Distribution: unstable
Urgency: low
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Changed-By: Thomas Koch <thomas@koch.ro>
Description: 
 libandroid-json-org-java - androids rewrite of the evil licensed json.org
 libandroid-json-org-java-doc - Documentation for androids rewrite of the evil licensed json.org
Closes: 697311
Changes: 
 libandroid-json-org-java (20121204-20090211-1) unstable; urgency=low
 .
   * Initial release (Closes: #697311)
Checksums-Sha1: 
 7b556dcd8e21e492b8f4ce8a02f9c38a6ecc7358 2423 libandroid-json-org-java_20121204-20090211-1.dsc
 8aecbba47dcc99901851e8ccba6e875bca6dcdcd 29281 libandroid-json-org-java_20121204-20090211.orig.tar.gz
 a0d6f13fd00fc419ec9163dce28e97aa9b299435 4017 libandroid-json-org-java_20121204-20090211-1.debian.tar.gz
 e806346f7c1294ceb1672067022c7c5aecbd1b7d 22870 libandroid-json-org-java_20121204-20090211-1_all.deb
 40ece7e9482474eab01b450844b3152ddf7f3b64 34736 libandroid-json-org-java-doc_20121204-20090211-1_all.deb
Checksums-Sha256: 
 826bd1b18300de0841b02437395361f2d251e84698a5b7cdc207cf64bc34a55f 2423 libandroid-json-org-java_20121204-20090211-1.dsc
 aca97b3d9c436dcc038012e73ececb70b8d8b589e7d4e0c62542a143531e868f 29281 libandroid-json-org-java_20121204-20090211.orig.tar.gz
 eca051760e953ddcedd07e13c186f7b5acd611b53ecf2ee9baaf5cd3c4fe78d6 4017 libandroid-json-org-java_20121204-20090211-1.debian.tar.gz
 97dcd846092dad54f14394db8cf6d87430b97629aee3cff1f2208c398e9fbeb9 22870 libandroid-json-org-java_20121204-20090211-1_all.deb
 6973227d7efed8a98564b9b2834681a7e3cb221ac86da55accfe0da0b410fbb9 34736 libandroid-json-org-java-doc_20121204-20090211-1_all.deb
Files: 
 3cb85f112ef8c7e8904eb98323828bd2 2423 java optional libandroid-json-org-java_20121204-20090211-1.dsc
 cff598593a7ad5eef27f0709da539dda 29281 java optional libandroid-json-org-java_20121204-20090211.orig.tar.gz
 fade193e5049c027e83b7800729de5fa 4017 java optional libandroid-json-org-java_20121204-20090211-1.debian.tar.gz
 b54188991cb9c9ae49facf9555e0db34 22870 java optional libandroid-json-org-java_20121204-20090211-1_all.deb
 30184b8420ce0e2180b3b1dd69678c5b 34736 doc optional libandroid-json-org-java-doc_20121204-20090211-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBAgAGBQJRBY/YAAoJEC/YvtrAIO7RBNoP/1FYtn6e1R7JpYz2CAHE5eP/
RGzht7MS0ByQ8GbKVne84wcgKyp50tBht4fKwB3P8az1AjiFcSqVEnEMSgSa2re3
0k2XzmxSSi6UWVEjFpS2B53nxFCcAPreW7Rx373FJ85Wqbv73XuOIWMPQPJCCR35
ZORu3upxxLrxu22WJctj5OY5jMtPJw5pc2fsin5xgK6HoqECTvZNI3QVmkIRlfSn
Fy4siq88eKT+ntCzlqjw57itnsWkNkpt0krmcPR+8Rf5SwfaZNSZBlIe9v1MLawB
ocVzgEu9fQL78wrm8kRv8y3GzanHYOJZLcmNNI8qAJ8FQNDctFryXut+DoVtUv50
90oDbCiRlQDJINk7/YbBM2dmbYny8c/+iG3xtyCGTK5nN81NasMtqb/zX65QSbpL
SmV4iviTU6010gJ2fU0F4KYu6M3bdbq8dZsb8xYUhaaJjeuWJfOHQOvaSmdige96
PoiUn0+LZdSUYPUeh3/QOXRrh9q5q5N0ygU1Ixd5D0YT36t/nOWd0ibUt1gGugJy
7LinqQG7T0IVjwWMufqAJEFtNTNcIlCyI4fdtapf1QgVHtf2h8SDM1Ps4I/EX3Ht
vuVrPXKXafJ+pqvD8RrczENx/R+QmKE4eSkEmCw0wKDuLzsbIG5l0pon3wSIEBj8
CYGdbiwcQuBU4haJKrRm
=o3TU
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 05 May 2013 07:30:43 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 07:09:00 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.